Subject: Re: bug#21423: 24.5; (package-initialize) added to init.el without (setq package-enable-at-startup nil)

From: Stefan Monnier <[email-masked]>
Date: Sun, 06 Sep 2015 18:33:46 -0400

>> That said, this change would seem to be an issue for anyone who is
>> performing a partial initialisation in their init file (for specific
>> packages), and then depending on the default initialisation to deal
>> with the remainder, post-init.
>> 
>> I can only imagine that's a very small proportion of users indeed,
>> but I presume the scenario ought to be considered (even if only for
>> the purposes of documenting it in NEWS).

> Yes, they'll have to add (setq package-enable-at-startup t) after
> calling initialize. That should definitely go in the NEWS.

I have a hard time imagining many users doing that.  As a user, if I'm
picky enough to try and do a partial initialization in my init file,
I'll probably also want to do the final full initialization explicitly
in my init file.

        Stefan